Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Kernel module for compcache (Compressed RAM SWAP)
Name:		dkms-compcache
Version:	0.6.2
Release:	1
License:	GNU/GPL
URL:		http://code.google.com/p/compcache/
Group:		System/Kernel
Source0:        compcache-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

BuildRequires:	sed
Requires:       dkms
Requires:       make
Requires:       gcc
Requires:	kernel-devel >= 2.6.32-18

%description
Kernel module for compcache (Compressed RAM SWAP)

%prep
%setup -q -n compcache-%{version}
echo "#define CONFIG_SWAP_FREE_NOTIFY 1" >> compat.h
sed -i "\#^[ \t]*make -C sub-projects/rzscontrol# d" Makefile

%build

%install
%{__rm} -rf %{buildroot}

%define dkms_name compcache
%define dkms_vers %{version}-%{release}
%define quiet -q

# Kernel module sources install for dkms
%{__mkdir_p} %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%{__cp} -a * %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
%{__cat} > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="make KERNEL_BUILD_PATH=${kernel_source_dir} all"
BUILT_MODULE_NAME[0]=ramzswap
DEST_MODULE_LOCATION[0]=/extra/compcache
AUTOINSTALL="YES"
EOF

%clean
%{__rm} -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%files
%defattr(-, root, root, 0755)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

%changelog
* Sun Feb 21 2010 Stefan Gottwald <gotti@ccux-linux.de> 0.6.2-1
- Initial Release
